
/* Document Base Styles */
html {
    --grid-margin: 8px;
    --grid-gap: 8px;
    --color-background: #F65B23;
    /* --color-background: #00FF84; */
    --color-text: #000000;
    --font-size: 14px;
    --line-height: 1.3;

    font-family: 'Helvetica', sans-serif;
    font-size: var(--font-size);
    line-height: var(--line-height);
    color: var(--color-text);
    background-color: var(--color-background);

    /* Responsive Font Sizing */
    @media (max-width: 1440px) {
        font-size: var(--font-size);
    }

    @media (min-width: 1440px) {
        /* font-size: utopia.clamp(16, 20, 1440, 2500); */
    }

    /* State Classes */
    &.is-loading,
    &.is-transitioning {
        cursor: wait;
    }
}

/* Selection and Links */
::selection {
    background-color: var(--color-text);
    color: var(--color-background);
    text-shadow: none;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-size: 1rem;
    margin: 0;
}

p {
    margin: 0;
}

a {
    color: inherit;
    text-decoration: none;

    @media (hover: hover) {
        &:hover {
            text-decoration: underline;
        }
    }
}

button {
    cursor: pointer;
}

/* Captcha */
.grecaptcha-badge {
    display: none;
    visibility: hidden;
}

/* ************************* */
/* ***** Focus visible ***** */
/* ************************* */

*:focus-visible:not(input):not(textarea):not(select) {
    outline-style: var(--focus-style, auto);
    outline-width: var(--focus-width, 10px);
    outline-offset: var(--focus-offset, 5px);
    outline-color: var(--focus-color, var(--color-accent));
}

input:focus-visible,
textarea:focus-visible,
select:focus-visible {
    outline-style: var(--focus-style, auto);
    outline-width: var(--focus-width, 10px);
    outline-offset: var(--focus-offset, 0px);
    outline-color: var(--focus-color, var(--color-accent));
}

button:-moz-focusring,
[type='button']:-moz-focusring,
[type='reset']:-moz-focusring,
[type='submit']:-moz-focusring {
    outline-style: var(--focus-style, auto);
    outline-width: var(--focus-width, 10px);
    outline-offset: var(--focus-offset, 5px);
}

main:focus-visible {
    outline-offset: -10px !important;
}

/* html.is-webkit *:focus-visible {
    outline-color: var(--color-text);
    outline-style: dashed;
    outline-width: 2px;
    outline-offset: 2px;
} */

html.is-webkit body:focus {
    outline: none;
}


/* ======================================================= */
/* ======================================================= */
body {
    display: flex;
    flex-direction: column;

    margin: 0;

    @media (min-width: 1001px) {
        min-height: 100svh;
    }
}

header {
    padding-top: var(--grid-margin);

    @media (max-width: 1000px) {
        padding-bottom: 3rem;
    }

    @media (min-width: 1001px) {
        flex: 1 1 50%;
        padding-bottom: 6rem;
    }
}
main {
    padding-block: var(--grid-margin);

    @media (min-width: 1001px) {
        flex: 1 1 50%;
    }
}
.opacity-40 {
    opacity: 0.4;
}

.max-w-230 {
    max-width: 230px;
}

.h-50 {
    @media (min-width: 1001px) {
        min-height: 50svh;
    }
}

.container {
    padding: 0 var(--grid-margin);
}

.c-grid {
    display: grid;
    align-items: flex-start;
    column-gap: var(--grid-gap);
    row-gap: 2rem;

    @media (min-width: 700px) and (max-width: 1000px) {
        grid-template-columns: repeat(2, 1fr);
    }

    @media (min-width: 1001px) {
        grid-template-columns: repeat(6, 1fr);
    }
}

.c-col {
    grid-column: span 2;

    &.-flex {
        display: flex;

        @media (max-width: 1000px) {
            flex-direction: column;
        }

        @media (min-width: 1001px) {
            justify-content: space-between;
        }
    }
}


.c-list {
    list-style: none;
    padding: 0;

    @media (max-width: 1000px) {
        margin-block: 1rem;
    }

    @media (min-width: 1001px) {
        margin-block: 2rem;
    }
}